From c73a00d4bea9769b7752dd92aa0ccc8291101d5b Mon Sep 17 00:00:00 2001
From: Kuninori Morimoto <morimoto.kuninori@renesas.com>
Date: Fri, 9 Oct 2009 20:09:42 +0900
Subject: [PATCH 08/19] tw9910: The driver can also handle revision 1 of the chip

Signed-off-by: Kuninori Morimoto <morimoto.kuninori@renesas.com>
Signed-off-by: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
---
 drivers/media/video/tw9910.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/drivers/media/video/tw9910.c b/drivers/media/video/tw9910.c
index 269ab04..7bf90a2 100644
--- a/drivers/media/video/tw9910.c
+++ b/drivers/media/video/tw9910.c
@@ -883,11 +883,12 @@ static int tw9910_video_probe(struct soc_camera_device *icd,
 
 	/*
 	 * check and show Product ID
+	 * So far only revisions 0 and 1 have been seen
 	 */
 	val = i2c_smbus_read_byte_data(client, ID);
 
 	if (0x0B != GET_ID(val) ||
-	    0x00 != GET_ReV(val)) {
+	    0x01 < GET_ReV(val)) {
 		dev_err(&client->dev,
 			"Product ID error %x:%x\n", GET_ID(val), GET_ReV(val));
 		return -ENODEV;
-- 
1.6.2.4

